Subject: Problem with ld -r
From: [email-masked] (Kin-man Chung)

10 Jan 1997 15:14:14 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; SunOS 4.1.4 sun4m)
Original-To: [email-masked]
Original-Sender: [email-masked]

This happens with b17.1 version of the binaries on Windows 95.

When .o files are linked, ld puts out four symbols:

	__bss_start__
	__bss_end__
	__data_start__
	__data_end__

This is true even when "ld -r" is used.  Therefore if I do

	ld -r -o foo.o f1.o f2.o
	ld -r -o bar.o b1.o b2.o
	ld -o foobar foo.o bar.o

I'll get multiple definition error for these symbols.  Anyone knows
how to get around this problem, other than not to use "ld -r"?
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".